#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	int n,a;
	int u;
	ifstream fi ("TKNP.inp");
	ofstream fo ("TKNP.out");
	fi>>n>>a;
	int m[n];
	int h=0;
	for(int i=0;i<n;i++)
	{
		fi>>m[i];
	}
	int d=0;
	int c=n-1;
	int g=int((d+c)/2);
	int co=0;
	while(d<=c)
	{
		cout<<g<<endl;
		if(m[g]==a)
		{
			co++;
			u=g;
			break;
		}
		if(m[g]>a)
		{
			c=g-1;
		}
		if(m[g]<a)
		{
			d=g+1;
		}
		g=int((d+c)/2);
	}
	cout<<co;
	if(co==1)
	{
		fo<<u+1;
	}
	else
	{
		fo<<"-1";
	}
	return 0;
	fi.close();
	fo.close();
}
